/*main*/
main{
  display: flex;
  flex-direction: column;
}

.hero{
  order: -1; /*positionate the hero before the h1 header title, even it is becoming first in the html code*/
}

.section-header{
  order: 0;
}

/*card management*/

  .information {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
  }

  .information > div {
    background: var(--section-background);
    border-radius: 12px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
  }

  .events {
    background: var(--accent2-color);
  }

  .data-header {
    font-size: 1.2em;
    font-weight: bold;
    color: var(--card-title-color);
    margin-bottom: 10px;
    text-align: center;
  }

  .events{
    display: flex;
    flex-direction: column;
  }

  .events .data-item::before{
    content: "• ";
  }

  .data-item {
    font-size: 1rem;
    margin-bottom: 8px;
  }

  .weather,
  .weather-forecast {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .weather {
    background: #eaf7f9;
  }

  .weather-forecast {
    background: #f5e8e6;
  }


.spotlights {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-around;
    border: 4px solid rgba(0, 128, 255, 0.3);
    border-radius: 20px;
    padding: 20px;
    margin: 10px;
}

.client-info-head,
.url {
    text-align: center;
}

.client-info-body {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media screen and (max-width: 768px) {
    .spotlights {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        border: 4px solid rgba(0, 128, 255, 0.3);
        border-radius: 20px;
        padding: 20px;
        margin: 10px;
    }
    .body{
        width: 85%;
    }

    .information {
        grid-template-columns: 1fr;
      }

    .information {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        border: 4px solid rgba(0, 128, 255, 0.3);
        border-radius: 20px;
        padding: 20px;
        margin: 10px;
        text-align: left;
    }

    .events {
        margin: 10px;
        text-align: justify;
    }

    .weather {
        margin-top: 10px;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
    }

}